import Foundation

public class Person
{
    public var vorname:String
    public var nachname:String
    public var alter:Int
    // Eine neue Eigenschaft vom Typ Adresse
    public var adresse:Adresse?
    // Eine Optiona-Array von Telefonnummern als String
    public var telefonnummern:[String]?
    
    // Initializer ohne Parameter
    public convenience init()
    {
        self.init(vorname: "", nachname: "", alter: 0)
    }
 
    // Ein Initializer, der Parameter entgegen nimmt
    public init(vorname:String, nachname:String, alter:Int)
    {
        print("Initializer")
        self.vorname = vorname
        self.nachname = nachname
        self.alter = alter
        // Eine Instanz der Klasse Adresse erzeugen
        // und der Eigenschaft zuweisen
        // self.adresse = Adresse()
    }
    
    public func sagMirWerDuBist()
    {
        print("Mein Name ist \(self.vorname) \(self.nachname).")
        print("Ich bin \(self.alter) Jahre alt.")
    }
}

