import Foundation

public class Person
{
    public var vorname:String
    public var nachname:String
    public var alter:Int
    // Eine neue Eigenschaft vom Typ Adresse
    public var adresse:Adresse?
    
    // Initializer ohne Parameter
    public convenience init()
    {
        self.init(vorname: "", nachname: "", alter: 0)
    }
 
    // Ein Initializer, der Parameter entgegennimmt
    public init(vorname:String, nachname:String, alter:Int)
    {
        print("Initialisierer")
        self.vorname = vorname
        self.nachname = nachname
        self.alter = alter
        // Eine Instanz der Klasse Adresse erzeugen
        // und der Eigenschaft zuweisen
        // self.adresse = Adresse()
    }
    
    public func sagMirWerDuBist()
    {
        print("Mein Name ist \(self.vorname) \(self.nachname).")
        print("Ich bin \(self.alter) Jahre alt.")
    }
    
    public func sagMirWoDoWohnst()
    {
        if  self.adresse == nil
        {
            print  ("Ich habe keine Adresse")
        }
        else
        {
            var ort = ""
            var strasse = ""
            
            if self.adresse?.strasse != nil
            {
                strasse = self.adresse!.strasse
            }
            
            if self.adresse?.ort != nil
            {
                ort = self.adresse!.ort
            }
            
            print("Ich wohne in der \(strasse) in \(ort).")
        }
    }
}

